#include <linux/version.h>

#include <linux/string.h>
#include <linux/errno.h>
#include <linux/module.h>

#include "nikal.h"

#ifdef nNIKAL100_kCopyrightString
   MODULE_LICENSE(nNIKAL100_kCopyrightString);
#endif

#ifdef nNIKAL100_kAuthorString
   MODULE_AUTHOR(nNIKAL100_kAuthorString);
#endif

#ifdef nNIKAL100_kDescriptionString
   MODULE_DESCRIPTION(nNIKAL100_kDescriptionString);
#endif


int nNIPAL100_ckalcbInitModule(void* modulePtr, const char* name);
void nNIPAL100_ckalcbCleanupModule(void* modulePtr);

int init_module(void)
{
   return nNIPAL100_ckalcbInitModule(THIS_MODULE,(THIS_MODULE)->name);
}

void cleanup_module(void)
{
   nNIPAL100_ckalcbCleanupModule(THIS_MODULE);
}


#define nNIKAL100_mExportSymbol EXPORT_SYMBOL
extern int _ZN9nNIXSR10017getCurrentVersionERi;
nNIKAL100_mExportSymbol(_ZN9nNIXSR10017getCurrentVersionERi);
extern int _ZN9nNIXSR10026getOldestCompatibleVersionERi;
nNIKAL100_mExportSymbol(_ZN9nNIXSR10026getOldestCompatibleVersionERi);
extern int _ZN9nNIXSR10014compareVersionERK10tSSVersionS2_RiPKc;
nNIKAL100_mExportSymbol(_ZN9nNIXSR10014compareVersionERK10tSSVersionS2_RiPKc);
extern int _ZN9nNIXSR10017tEmptyRuntimeDataC2Ev;
nNIKAL100_mExportSymbol(_ZN9nNIXSR10017tEmptyRuntimeDataC2Ev);
extern int _ZN9nNIXSR10017tEmptyRuntimeDataC1Ev;
nNIKAL100_mExportSymbol(_ZN9nNIXSR10017tEmptyRuntimeDataC1Ev);
extern int _ZN9nNIXSR10017tEmptyRuntimeDataC2ERKS0_;
nNIKAL100_mExportSymbol(_ZN9nNIXSR10017tEmptyRuntimeDataC2ERKS0_);
extern int _ZN9nNIXSR10017tEmptyRuntimeDataC1ERKS0_;
nNIKAL100_mExportSymbol(_ZN9nNIXSR10017tEmptyRuntimeDataC1ERKS0_);
extern int _ZN9nNIXSR10017tEmptyRuntimeDataaSERKS0_;
nNIKAL100_mExportSymbol(_ZN9nNIXSR10017tEmptyRuntimeDataaSERKS0_);
extern int _ZN9nNIXSR10017tEmptyRuntimeDataD2Ev;
nNIKAL100_mExportSymbol(_ZN9nNIXSR10017tEmptyRuntimeDataD2Ev);
extern int _ZN9nNIXSR10017tEmptyRuntimeDataD1Ev;
nNIKAL100_mExportSymbol(_ZN9nNIXSR10017tEmptyRuntimeDataD1Ev);
extern int _ZNK9nNIXSR10017tEmptyRuntimeDataeqERKS0_;
nNIKAL100_mExportSymbol(_ZNK9nNIXSR10017tEmptyRuntimeDataeqERKS0_);
extern int _ZNK9nNIXSR10017tEmptyRuntimeDataneERKS0_;
nNIKAL100_mExportSymbol(_ZNK9nNIXSR10017tEmptyRuntimeDataneERKS0_);
extern int _ZNK9nNIXSR10017tEmptyRuntimeData11checkStatusERi;
nNIKAL100_mExportSymbol(_ZNK9nNIXSR10017tEmptyRuntimeData11checkStatusERi);
/* _ZN9nNIXSR10017tEmptyRuntimeData11deserializeERN9nNIORB10013iObjectReaderERi=_c4244687533a3c0231812987923de9cd */
extern int _c4244687533a3c0231812987923de9cd;
nNIKAL100_mExportSymbol(_c4244687533a3c0231812987923de9cd);
/* _ZNK9nNIXSR10017tEmptyRuntimeData9serializeERN9nNIORB10013iObjectWriterERi=_7b7afc7a502d0dead0cb98286f521bac */
extern int _7b7afc7a502d0dead0cb98286f521bac;
nNIKAL100_mExportSymbol(_7b7afc7a502d0dead0cb98286f521bac);
/* _ZNK9nNIXSR10017tEmptyRuntimeData11checkStatusERN10nNIMDBG1008tStatus2E=_7b7148194a2add835c93342b095553c7 */
extern int _7b7148194a2add835c93342b095553c7;
nNIKAL100_mExportSymbol(_7b7148194a2add835c93342b095553c7);
extern int _ZN9nNIXSR10014tEmptySettings16___ORBGetTObjectEv;
nNIKAL100_mExportSymbol(_ZN9nNIXSR10014tEmptySettings16___ORBGetTObjectEv);
extern int _ZN9nNIXSR10014tEmptySettings14staticGetClassERi;
nNIKAL100_mExportSymbol(_ZN9nNIXSR10014tEmptySettings14staticGetClassERi);
/* _ZNK9nNIXSR10014tEmptySettings13writeExternalERN9nNIORB10013iObjectWriterERi=_e6773ea54063544e815640f44f44e637 */
extern int _e6773ea54063544e815640f44f44e637;
nNIKAL100_mExportSymbol(_e6773ea54063544e815640f44f44e637);
/* _ZN9nNIXSR10014tEmptySettings12readExternalERN9nNIORB10013iObjectReaderERi=_a08de1268907ac5b18af8b01ba1e64a7 */
extern int _a08de1268907ac5b18af8b01ba1e64a7;
nNIKAL100_mExportSymbol(_a08de1268907ac5b18af8b01ba1e64a7);
extern int _ZN9nNIXSR10014tEmptySettingsD2Ev;
nNIKAL100_mExportSymbol(_ZN9nNIXSR10014tEmptySettingsD2Ev);
extern int _ZN9nNIXSR10014tEmptySettingsD1Ev;
nNIKAL100_mExportSymbol(_ZN9nNIXSR10014tEmptySettingsD1Ev);
extern int _ZN9nNIXSR10014tEmptySettingsD0Ev;
nNIKAL100_mExportSymbol(_ZN9nNIXSR10014tEmptySettingsD0Ev);
extern int _ZN9nNIXSR10014tEmptySettingsaSERKS0_;
nNIKAL100_mExportSymbol(_ZN9nNIXSR10014tEmptySettingsaSERKS0_);
extern int _ZNK9nNIXSR10014tEmptySettings5cloneERi;
nNIKAL100_mExportSymbol(_ZNK9nNIXSR10014tEmptySettings5cloneERi);
extern int _ZN9nNIXSR10014tEmptySettingsC1ERKS0_;
nNIKAL100_mExportSymbol(_ZN9nNIXSR10014tEmptySettingsC1ERKS0_);
extern int _ZN9nNIXSR10014tEmptySettingsC2ERKS0_;
nNIKAL100_mExportSymbol(_ZN9nNIXSR10014tEmptySettingsC2ERKS0_);
extern int _ZN9nNIXSR10014tEmptySettingsC1Ev;
nNIKAL100_mExportSymbol(_ZN9nNIXSR10014tEmptySettingsC1Ev);
extern int _ZN9nNIXSR10014tEmptySettingsC2Ev;
nNIKAL100_mExportSymbol(_ZN9nNIXSR10014tEmptySettingsC2Ev);
extern int _ZNK9nNIXSR10014tEmptySettings8getClassERi;
nNIKAL100_mExportSymbol(_ZNK9nNIXSR10014tEmptySettings8getClassERi);
extern int _ZN9nNIXSR10014tEmptySettings13___CPPKRLCastEPS0_PKPv;
nNIKAL100_mExportSymbol(_ZN9nNIXSR10014tEmptySettings13___CPPKRLCastEPS0_PKPv);
/* _ZN9nNIXSR10014tEmptySettings20___CPPKRLDynamicCastEPKPv=_fd56e09da717ec99990e293f9d6179f9 */
extern int _fd56e09da717ec99990e293f9d6179f9;
nNIKAL100_mExportSymbol(_fd56e09da717ec99990e293f9d6179f9);
extern int _ZN9nNIXSR10014tEmptySettings13___CPPKRLCastEPKS0_PKPv;
nNIKAL100_mExportSymbol(_ZN9nNIXSR10014tEmptySettings13___CPPKRLCastEPKS0_PKPv);
/* _ZNK9nNIXSR10014tEmptySettings20___CPPKRLDynamicCastEPKPv=_747f76a60eff53794fd4540be31ab687 */
extern int _747f76a60eff53794fd4540be31ab687;
nNIKAL100_mExportSymbol(_747f76a60eff53794fd4540be31ab687);
extern int _ZN9nNIXSR10014tEmptySettings10___classIDE;
nNIKAL100_mExportSymbol(_ZN9nNIXSR10014tEmptySettings10___classIDE);
/* _ZTv0_n24_N9nNIXSR10014tEmptySettings20___CPPKRLDynamicCastEPKPv=_546416d15dbec04ad2a7fc18d0702109 */
extern int _546416d15dbec04ad2a7fc18d0702109;
nNIKAL100_mExportSymbol(_546416d15dbec04ad2a7fc18d0702109);
/* _ZTv0_n32_N9nNIXSR10014tEmptySettings20___CPPKRLDynamicCastEPKPv=_a1dba043d57ba611ad73669e7b5d8f5b */
extern int _a1dba043d57ba611ad73669e7b5d8f5b;
nNIKAL100_mExportSymbol(_a1dba043d57ba611ad73669e7b5d8f5b);
/* _ZTv0_n32_NK9nNIXSR10014tEmptySettings20___CPPKRLDynamicCastEPKPv=_9486c477ce85eafc325cbfdf17752a13 */
extern int _9486c477ce85eafc325cbfdf17752a13;
nNIKAL100_mExportSymbol(_9486c477ce85eafc325cbfdf17752a13);
/* _ZTv0_n40_NK9nNIXSR10014tEmptySettings20___CPPKRLDynamicCastEPKPv=_f93b6c92739dd54e4f2b56ea1401451b */
extern int _f93b6c92739dd54e4f2b56ea1401451b;
nNIKAL100_mExportSymbol(_f93b6c92739dd54e4f2b56ea1401451b);
